local addon, ns = ...
local _G = _G

local bar = G13XPBar
bar:SetSize(1025, 10)

RegisterStateDriver(bar, "visibility", "[petbattle] hide; [vehicleui] hide; show")

local WatchBars = {
	StatusTrackingBarManager,
	StatusTrackingBarManager.SingleBarLarge,
	TimerTracker,
	StatusTrackingBarManagerTemplate
	
}

for _, v in pairs(WatchBars) do
	v:SetParent(bar)
	v:ClearAllPoints()
	v:SetPoint("CENTER", bar, 0, 0)
end



--The "flag" hack below prevents infinite recursive calls to the functions. 
--Do NOT remove it.


--[[

hooksecurefunc(ReputationWatchBar,"SetPoint",function(self, _, _, _, _, _, flag)
	if flag~="G13BarManager" then
		self:ClearAllPoints()
		set:SetParent(bar)
		self:SetPoint("CENTER", bar, "CENTER", 0, 0, "G13BarManager")
	end
end)


	]]--


